%define url_ver %(echo %{version} | cut -d. -f1,2)

%define pkgname		glibmm
%define api_version	2.4
%define major		1
%define libname_orig	%mklibname %{pkgname} %{api_version}
%define libname		%mklibname %{pkgname} %{api_version} %{major}
%define libnamedev	%mklibname -d %{pkgname} %{api_version}
%define libnamestaticdev	%mklibname -s -d %{pkgname} %{api_version}

Name:		%{pkgname}%{api_version}
Summary:	C++ interface for glib
Version:	2.34.1
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
URL:		http://gtkmm.sourceforge.net/
Source:		http://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
BuildRequires:	pkgconfig(gio-2.0) >= 2.29.8
BuildRequires:	pkgconfig(glib-2.0) >= 2.29.8
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.29.8
BuildRequires:	pkgconfig(gobject-2.0) >= 2.29.8
BuildRequires:	pkgconfig(sigc++-2.0) >= 2.0.10
BuildRequires:	mm-common >= 0.9.4
BuildRequires:	doxygen
BuildRequires:	libxslt-proc

%description
Gtkmm provides a C++ interface to the GTK+ GUI library.
%{pkgname} originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.

%package	-n %{libname}
Summary:	C++ interface for glib
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}
Provides:	%{pkgname}%{api_version} = %{version}-%{release}

%description	-n %{libname}
Gtkmm provides a C++ interface to the GTK+ GUI library.
%{pkgname} originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.

This package contains the library needed to run programs dynamically
linked with %{pkgname}.


%package	-n %{libnamedev}
Summary:	Headers and development files of %{pkgname}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Requires:	mm-common >= 0.9.4
Provides:	%{pkgname}%{api_version}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Obsoletes: %mklibname -d %{pkgname} %{api_version} 1

%description	-n %{libnamedev}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{pkgname}.


%package	-n %{libnamestaticdev}
Summary:	Static libraries of %{pkgname}
Group:		Development/GNOME and GTK+
Requires:	%{libnamedev} = %{version}
Provides:	%{libname_orig}-static-devel = %{version}-%{release}
Obsoletes: %mklibname -s -d %{pkgname} %{api_version} 1

%description	-n %{libnamestaticdev}
Gtkmm provides a C++ interface to the GTK+ GUI library.
%{pkgname} originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.

This package contains the static libraries of %{pkgname}.


%package	doc
Summary:	Glibmm documentation
Group:		Documentation
BuildArch:	noarch

%description	doc
Gtkmm provides a C++ interface to the GTK+ GUI library.
%{pkgname} originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.

This package contains all API documentation for %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure2_5x --enable-static --enable-shared
%make

# make check does nothing

%install
rm -rf %{buildroot}
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -exec rm -rf {} \;

%files -n %{libname}
%doc COPYING NEWS README
%{_libdir}/libglibmm*%{api_version}.so.%{major}*
%{_libdir}/libgiomm*%{api_version}.so.%{major}*

%files -n %{libnamedev}
%doc AUTHORS ChangeLog
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/giomm-%api_version
%{_libdir}/glibmm-%{api_version}
%{_libdir}/pkgconfig/*.pc

%files -n %{libnamestaticdev}
%{_libdir}/*.a

%files doc
%doc %{_datadir}/doc/glibmm-%{api_version}
%{_datadir}/devhelp/books/glibmm-2.4


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.34.1-2.mga3
+ Revision: 351822
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 08 2012 fwang <fwang> 2.34.1-1.mga3
+ Revision: 316336
- new version 2.34.1

* Sun Oct 21 2012 ovitters <ovitters> 2.34.0-1.mga3
+ Revision: 308746
- new version 2.34.0

* Sun Oct 14 2012 ennael <ennael> 2.33.14-2.mga3
+ Revision: 305603
- Documentation group

  + ovitters <ovitters>
    - new version 2.33.14

* Tue Sep 25 2012 ovitters <ovitters> 2.33.13-1.mga3
+ Revision: 297799
- new version 2.33.13

* Fri Sep 07 2012 ovitters <ovitters> 2.33.12-1.mga3
+ Revision: 289424
- new version 2.33.12

* Thu Jul 12 2012 fwang <fwang> 2.33.3-2.mga3
+ Revision: 270159
- rebuild for missing packages

* Tue Jul 10 2012 ovitters <ovitters> 2.33.3-1.mga3
+ Revision: 269209
- new version 2.33.3

* Wed Jun 27 2012 ovitters <ovitters> 2.33.2-1.mga3
+ Revision: 264516
- new version 2.33.2

* Tue Apr 10 2012 ovitters <ovitters> 2.32.0-1.mga2
+ Revision: 230109
- new version 2.32.0

* Wed Mar 28 2012 ovitters <ovitters> 2.31.22-1.mga2
+ Revision: 227255
- new version 2.31.22

* Fri Mar 09 2012 fwang <fwang> 2.31.20-1.mga2
+ Revision: 221989
- new version 2.31.20

* Mon Feb 27 2012 ovitters <ovitters> 2.31.18.1-1.mga2
+ Revision: 215639
- new version 2.31.18.1

* Thu Feb 16 2012 fwang <fwang> 2.31.16.1-1.mga2
+ Revision: 209710
- new version 2.31.16.1

* Tue Feb 14 2012 ovitters <ovitters> 2.31.16-2.mga2
+ Revision: 208802
- clean spec

* Tue Feb 07 2012 fwang <fwang> 2.31.16-1.mga2
+ Revision: 205915
- new version 2.31.16

* Thu Nov 24 2011 fwang <fwang> 2.31.2-1.mga2
+ Revision: 171669
- new version 2.31.2

* Fri Oct 28 2011 wally <wally> 2.31.0.2-1.mga2
+ Revision: 159112
- new version 2.31.0.2

* Tue Sep 27 2011 wally <wally> 2.30.0-1.mga2
+ Revision: 149301
- new version 2.30.0
- clean .spec a bit

* Tue Sep 06 2011 wally <wally> 2.29.13-1.mga2
+ Revision: 139684
- new version 2.29.13

* Fri Sep 02 2011 tv <tv> 2.29.12-2.mga2
+ Revision: 137818
- make the huge doc subpackage be noarch

* Wed Aug 31 2011 fwang <fwang> 2.29.12-1.mga2
+ Revision: 137161
- new version 2.29.12
- do not ship .la files

* Sun Jul 10 2011 fwang <fwang> 2.29.10-1.mga2
+ Revision: 121597
- new version 2.29.10

* Tue Jun 28 2011 fwang <fwang> 2.28.2-2.mga2
+ Revision: 115036
- add req
- br mm-comon

* Tue Jun 14 2011 dmorgan <dmorgan> 2.28.2-1.mga2
+ Revision: 106161
- Fix file list
- New version 2.28.2

* Thu Jan 13 2011 ahmad <ahmad> 2.25.5-2.mga1
+ Revision: 8727
- drop old/unneeded scriptlets
- imported package glibmm2.4

